<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
<html>
<!-- xww-30 -->
<head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
</head>

<body TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0" >
<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
	<tr>
		<td height="272">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="62" background="images/header_top_bg.gif">
						<table width="100%"  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td height="62" style="background:url(images/header_top_left.gif) top left no-repeat;padding-left:15px;padding-right:15px;" align="center">
									<!--MENU-->
									<table border="0" cellspacing="0" cellpadding="0">
										<tr>
											<xsl:call-template name="TOP-MENU"/>
										</tr>
									</table>
									<!--END MENU-->
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="210" style="background:url('images/header_link.gif');">
						<table width="100%" border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td width="780" height="210" style="background:url(images/header.jpg) top right no-repeat;padding-right:440px;padding-bottom:36px;padding-left:20px;" valign="middle">			
									<!--LOGO-->
									<table  border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td width="47">
												<div style="width:47px;"></div>
												<a href="./"><img src="images/{LOGO/@NAME}" border="0"/></a>
											</td>
											<td valign="bottom" style="padding-left:18px;">
												<table width="100%" border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td class="company" style="padding-bottom:0;"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>
													</tr>
													<tr>
														<td class="slogan" style="padding-top:0px;"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
													</tr>
												</table>
											</td>
										</tr>
									</table>
									<!--END LOGO-->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
		<td height="100%" background="images/content_bg.gif">
			<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
				<tr>
					<td style="background:url(images/content_top_left_bg.gif) top left no-repeat; ">
						<table border="0" cellspacing="0" cellpadding="0" style="width: 100%; height: 100%;">
							<tr>
								<td valign="top" style="padding-top:8px;padding-left:52px;padding-right:39px;padding-bottom:8px;">
									<table width="100%"  border="0" cellspacing="0" cellpadding="0">
										<tr>
											<td height="18">
												<table  border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td class="text-header" valign="bottom"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
														<td align="left" style="padding-left:10px;" valign="top"> <img src="images/txtheader_bullet.gif" width="17" height="18"/></td>
													</tr>
												</table>
											</td>
										</tr>
										<tr>
											<td height="391" valign="top" style="padding-top:14px;padding-bottom:14px;">
												<!--CONTENT-->
												<table width="100%"  border="0" cellspacing="0" cellpadding="0">
													<tr>
														<td class="pageContent" name="SB_stretch"><xsl:apply-templates select="PAGE-CONTENT"/></td>
													</tr>
												</table>
												<!--END CONTENT-->
											</td>
										</tr>
									</table>
								</td>
								<td width="191" valign="top" style="padding-top:26px;padding-right:60px; ">
									<div style="width:191px; "></div>
									<!--SUBMENU-->
									<table width="100%"  border="0" cellspacing="0" cellpadding="0">
										<xsl:call-template name="SUB-MENU">
											<xsl:with-param name="pageID" select="@ID"/>                            
										</xsl:call-template>
									</table>
									<!--END SUBMENU-->
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
	<tr>
	    <td height="111">
			<table width="100%"  border="0" cellspacing="0" cellpadding="0">
				<tr>
					<td height="34" background="images/bottom_bg.gif" align="left" style="padding-left:50px;">
						<!--BOTTOM MENU-->
						<table  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<xsl:call-template name="BOTTOM-MENU"/>
							</tr>
						</table>
						<!--END BOTTOMMENU-->
					</td>
				</tr>
				<tr>
					<td height="77" background="images/content_bg.gif" align="left" style="padding-left:69px; ">
						<!--FOOTER-->
						<table  border="0" cellspacing="0" cellpadding="0">
							<tr>
								<td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td>
							</tr>
						</table>
						<!--END FOOTER-->
					</td>
				</tr>
			</table>
		</td>
	</tr>
</table>
</body>
</html>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>
	
<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
		<tr>
        	<td height="29px">
				<table width="100%"  border="0" cellspacing="0" cellpadding="0">
        			<tr>
                    	<td width="6px" height="29px"><img src="images/submenu_bullet.gif" width="6px" height="7px" border="0"/></td>
                    	<td height="29px" align="left" style="padding-left:5px; " class="asubmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  	</tr>
                </table>
			</td>
        </tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
			<tr>
        		<td height="29px">
					<table width="100%"  border="0" cellspacing="0" cellpadding="0">
        				<tr>
                    		<td width="6px" height="29px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" width="6px" height="7px" border="0"/></a></td>
                    		<td height="29px" align="left" style="padding-left:5px; "><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
                  		</tr>
                	</table>
				</td>
        	</tr>
			
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr>
        	<td height="1px" style="background:url('images/submenu_bullet.gif');background-repeat:repeat-x;"></td>
        </tr>
	
	
		</xsl:if>
</xsl:template>

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
		
            <td align="center" style="padding-left:19px;padding-right:19px; "><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
		   <td align="center" style="padding-left:19px;padding-right:19px; "><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
        
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
		
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>